#!/bin/sh

temp="$(mktemp -d)"
script="https://git.ficd.sh/ficd/pkgbuild-update-integrity/raw/branch/main/update-integrity.sh"
cd "$temp" || echo 'Error creating temp dir!' && exit 1
echo "Downloading script..."
curl "$script">update-integrity
echo "Installing..."
chmod +x update-update-integrity
sudo cp -f update-integrity /usr/bin/update-integrity
echo "Cleaning up..."
rm -r "$temp"
echo "Done!"

